org.apache.tinkerpop.gremlin.structure

## Class StructureIntegrateSuite

- java.lang.Object
- - org.junit.runner.Runner
  - - org.junit.runners.ParentRunner<org.junit.runner.Runner>
    - - org.junit.runners.Suite
      - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite
        - - org.apache.tinkerpop.gremlin.structure.StructureIntegrateSuite

- All Implemented Interfaces:
    org.junit.runner.Describable, org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Orderable, org.junit.runner.manipulation.Sortable

      public class StructureIntegrateSuite
      extends AbstractGremlinSuite

  The `StructureIntegrationSuite` is a JUnit test runner that executes the Gremlin Test Suite over a `Graph` implementation. This suite contains "long-run" tests that enforce various behaviors and expectations of a vendor implementation of `Graph`. Its usage is optional to providers as the tests are somewhat redundant to those found elsewhere in other required test suites.

  For more information on the usage of this suite, please see `StructureStandardSuite`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `AbstractGremlinSuite.OptOutTestFilter`

    - ### Nested classes/interfaces inherited from class org.junit.runners.Suite

      `org.junit.runners.Suite.SuiteClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureIntegrateSuite(Class<?> klass, org.junit.runners.model.RunnerBuilder builder)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `afterTestExecution, beforeTestExecution, getGraphProviderClass, runChild, withAfterClasses`

    - ### Methods inherited from class org.junit.runners.Suite

      `describeChild, emptySuite, getChildren`

    - ### Methods inherited from class org.junit.runners.ParentRunner

      `childrenInvoker, classBlock, classRules, collectInitializationErrors, createTestClass, filter, getDescription, getName, getRunnerAnnotations, getTestClass, isIgnored, order, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withBeforeClasses, withInterruptIsolation`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureIntegrateSuite

          public StructureIntegrateSuite(Class<?> klass,
                                         org.junit.runners.model.RunnerBuilder builder)
                                  throws org.junit.runners.model.InitializationError

      Throws:
        `org.junit.runners.model.InitializationError`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.